Summary:	Handles the connections needed for dialup IP links
Name:		dip
Version:	3.3.7o
Release:	%mkrel 25
License:	GPL
Group:		Communications
URL:		ftp://sunsite.unc.edu/pub/Linux/system/network/serial
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/network/serial/dip337o-uri.tar.bz2
Patch0:		dip-3.3.7o-misc.patch
Patch1:		dip-3.3.7o-suffix.patch
Patch2:		dip-3.3.7o-fsstnd.patch
Patch3:		dip-3.3.7o-glibc.patch
Patch4:		dip-3.3.7o-sparc.patch
Patch5:		dip-3.3.7o-andor.patch
Patch6:		dip-arm.patch
Patch7:		dip-gcc295.patch
Patch8:		dip-3.3.7o-include.patch
# From Yellow Dog Linux 1.2
Patch9:		dip-3.3.7o-ppc.patch
Patch10:	dip-3.3.7o-gcc-3.3.patch
Patch11:	dip-3.3.7o-amd64.patch
Patch12:	dip-3.3.7o-gcc3.4-fix.patch
BuildRequires:	XFree86-devel db-devel gccmakedep
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Dip is a modem dialer.  Dip handles the connections needed for dialup IP links
like SLIP or PPP.  Dip can handle both incoming and outgoing connections, using
password security for incoming connections.  Dip is useful for setting up PPP
and SLIP connections, but isn't required for either. Netcfg uses dip for
setting up SLIP connections.

Install dip if you need a utility which will handle dialup IP connections.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch4 -p0
%patch5 -p1 -b .andor
%patch3 -p1 -b .glibc
%patch6 -p1 -b .arm
%patch7 -p1 -b .gcc295
%patch8 -p0 -b .include
%patch9 -p1 -b .ppc
%patch10 -p1 -b .gcc3.3
%patch11 -p1 -b .amd64
%patch12 -p1 -b .gcc34

%build
make depend
cd skey; make clean; make linux; cd -
uname -a|grep SMP && make -j 2 RPM_OPT_FLAGS="$RPM_OPT_FLAGS" || %make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8

install -c -s dip %{buildroot}%{_sbindir}
ln -sf dip %{buildroot}%{_sbindir}/diplogini
install -c -m 0444 dip.8 %{buildroot}%{_mandir}/man8
ln -sf dip.8.bz2 %{buildroot}%{_mandir}/man8/diplogin.8.bz2

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0755,root,uucp) %{_sbindir}/dip
%{_sbindir}/diplogini
%{_mandir}/man8/dip.8*
%{_mandir}/man8/diplogin.8*


%changelog
* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 3.3.7o-25mdv2007.1
+ Revision: 145877
- fix dep (gccmakedep)
- Import dip



* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 3.3.7o-25mdv2007.1
- use the %%mrel macro
- bunzip patches

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.3.7o-24mdk
- Rebuild

* Fri Jul 09 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.3.7o-23mdk
- fix Patch9 for gcc 3.3+

* Sat Jun 19 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.3.7o-22mdk
- add BuildRequires: db-devel

* Sun Jun 13 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.3.7o-21mdk
- fix gcc-3.4 build (P12)
- don't do stuff within parantheses

* Thu Oct  2 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.3.7o-20mdk
- amd64 support

* Tue Jul 15 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.3.7o-19mdk
- fix gcc-3.3 build (P10)

* Sun Jul 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.3.7o-18mdk
- rebuild

* Thu Nov  1 2001 dam's <damien@mandrakesoft.com> 3.3.7o-17mdk
- added URL tag

* Mon Aug 13 2001 dam's <damien@mandrakesoft.com> 3.3.7o-16mdk
- rebuilt

* Sun Jun 10 2001 Stefan van der Eijk <stefan@eijk.nu> 3.3.7o-15mdk
- BuildRequires:	XFree86-devel

* Mon Dec 11 2000 Vincent Saugey <vince@mandrakesoft.com> 3.3.7o-14mdk
- Add Build requires (gccmakedep will move from XFree86 to XFree86-devel)

* Mon Nov  6 2000 dam's <damien@mandrakesoft.com> 3.3.7o-13mdk
- Mandrake release.

* Thu Aug 03 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 3.3.7o-12mdk
- BM
- Geoff <snailtalk@linux-mandrake.com> -- _spechelper_ bzip2 mannpages!!

* Fri Jul 21 2000 David BAUDENS <baudens@mandrakesoft.com> 3.3.7o-11mdk
- Fix build on PPC

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.3.7o-10mdk
- fixed release tag

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 3.3.7o-9mdk
- Fix group.
- Added a patch for dip to compile on newer kernels.

* Mon Dec 13 1999 Camille Begnis <camille@mandrakesoft.com>
- added link to fit man doc

* Mon Nov 24 1999 Camille Begnis <camille@mandrakesoft.com>
- added compilation for SMP architecture   

* Thu Aug  5 1999 Bernhard Rosenkrnzer <bero@ms-windows-2000.com>
- fix compilation with {p,}gcc 2.95

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- build for 6.0 & arm

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- various spec file cleanups
